#! /bin/bash

DBNAME='orca'

if [ `whoami` != "root" ]; then
    echo "rootで実行してください"
    exit 1
fi

temp_table=`su - postgres -c "psql ${DBNAME} -t -E <<EOF
SELECT n.nspname||'.'||c.relname 
  FROM pg_class AS c,pg_namespace AS n 
 WHERE c.relkind = 'r' 
   AND c.relnamespace = n.oid 
   AND n.nspname LIKE 'pg_temp%'
   AND c.relname LIKE 'montsuqi_redirector_lock_table%';
EOF"`

for table in $temp_table ; do
  su - postgres -c "psql ${DBNAME} -c \"drop table ${table};\""
done
